| Home | Libraries | People | FAQ | More

## Function template swap

boost::swap —

## Synopsis

    template<typename T1, typename T2, ..., typename TN>
      void swap(variant<T1, T2, ..., TN> & lhs, variant<T1, T2, ..., TN> & rhs);

## Description

Effects: | Swaps `lhs` with `rhs` by application of `variant::swap`.
Throws: | May fail with any exception arising from `variant::swap`.

| Copyright © 2002, 2003 Eric Friedman, Itay Maman